aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/mxs/image/gen_sdcard_vfat_ext4.sh
diff options
context:
space:
mode:
authorZoltan HERPAI <wigyori@uid0.hu>2015-09-21 21:10:43 +0000
committerZoltan HERPAI <wigyori@uid0.hu>2015-09-21 21:10:43 +0000
commit68a580202c383afa77ee2a618aba7f7f22a0eeaa (patch)
treecbbcb50b67c730e2e0d24bc8f968f2a064aec2ab /target/linux/mxs/image/gen_sdcard_vfat_ext4.sh
parent0bd000a130ad9198e536333167d80fec9208cbee (diff)
downloadmaster-187ad058-68a580202c383afa77ee2a618aba7f7f22a0eeaa.tar.gz
master-187ad058-68a580202c383afa77ee2a618aba7f7f22a0eeaa.tar.bz2
master-187ad058-68a580202c383afa77ee2a618aba7f7f22a0eeaa.zip
mxs: re-work SD card image generation
- Duckbill uses a different partitioning approach than standard FSL and Olimex - use new sdimage to integrate U-Boot into the SD card images Signed-off-by: Michael Heimpold <mhei@heimpold.de> git-svn-id: svn://svn.openwrt.org/openwrt/trunk@47021 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'target/linux/mxs/image/gen_sdcard_vfat_ext4.sh')
-rw-r--r--target/linux/mxs/image/gen_sdcard_vfat_ext4.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/target/linux/mxs/image/gen_sdcard_vfat_ext4.sh b/target/linux/mxs/image/gen_sdcard_vfat_ext4.sh
new file mode 100644
index 0000000000..616639d237
--- /dev/null
+++ b/target/linux/mxs/image/gen_sdcard_vfat_ext4.sh
@@ -0,0 +1,37 @@
+#!/usr/bin/env bash
+#
+# Copyright (C) 2015 OpenWrt.org
+#
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+#
+
+set -x
+[ $# -eq 6 ] || {
+ echo "SYNTAX: $0 <file> <u-boot.sb image> <bootfs image> <rootfs image> <bootfs size> <rootfs size>"
+ exit 1
+}
+
+OUTPUT="$1"
+UBOOT="$2"
+BOOTFS="$3"
+ROOTFS="$4"
+BOOTFSSIZE="$5"
+ROOTFSSIZE="$6"
+
+head=4
+sect=63
+
+# Set the u-boot storage to 2M
+set `ptgen -o $OUTPUT -h $head -s $sect -l 1024 -t 53 -p 2M -t c -p ${BOOTFSSIZE}M -t 83 -p ${ROOTFSSIZE}M`
+
+UBOOTOFFSET="$(($1 / 512))"
+UBOOTSIZE="$(($2 / 512))"
+BOOTOFFSET="$(($3 / 512))"
+BOOTSIZE="$(($4 / 512))"
+ROOTFSOFFSET="$(($5 / 512))"
+ROOTFSSIZE="$(($6 / 512))"
+
+dd bs=512 if="$BOOTFS" of="$OUTPUT" seek="$BOOTOFFSET" conv=notrunc
+dd bs=512 if="$ROOTFS" of="$OUTPUT" seek="$ROOTFSOFFSET" conv=notrunc
+sdimage -d "$OUTPUT" -f "$UBOOT"